Subject: RE: [mobile-ip] Re: HAO and BE processing will be mandated

From: "Kuntal Chowdhury" <[email-masked]>
Date: Mon, 22 Jul 2002 14:15:28 -0500

> > Here are two of the reasons why I think RO will be undesirable:
> >  
> > 1. It allows the users to entirely bypass the home IP provider's
network.
> > This will keep the home IP network providers out of added revenue
streams.
> > The situation will be even worse when the AAA clients for accounting are
in
> > the home IP network which will not be in the data path due to RO.
> 
> The data does not go to the home IP provider's network so there is 
> absolutely zero reason be able to gain revenue from that.  

I don't think I understood your point. Are you agreeing with me or
disagreeing?

>   
> > 2. Imposes unnecessary processing requirement on ALL IPv6 
> devices to support
> > this non-mandatory functionality.
> 
> My personal opinion is a SHOULD, but I think 'unnecessary' is 
> a bit harsh.
>   

No comment.

> > Here is a reason why I think RO will be meaningless:
> >  
> > The core of the internet is managed by large carriers. 
> These carriers use
> > (or will be using) Constrained Based Routing (OSPF-TE) 
> instead of plain
> > OSPF. 
> 
> In which world?
> 

Not sure which world it will be :o), but here are some links on TE:

http://www.ietf.org/internet-drafts/draft-katz-yeung-ospf-traffic-06.txt
http://www.ietf.org/internet-drafts/draft-srisuresh-ospf-te-02.txt
http://www.ietf.org/rfc/rfc3272.txt
http://www.ietf.org/rfc/rfc3209.txt
http://www.ietf.org/rfc/rfc3212.txt

> > The main purpose is traffic engineering. Therefore the path between
> > the CN and the MN may not always be the shortest one even with RO. It
> > entirely depends on the traffic engineering of the intervening networks.
As
> > an example:
> > If the CN is in Chicago, MN is in Dallas and the HA is in Miami, if the
> > shortest route between Chicago and Dallas has less weight (not preferred
by
> > OSPF-TE) then all the IP packets between CN and the MN will be routed
via an
> > alternative path which may well be via Miami. Therefore RO will be a
waste
> > of time and resource.
> 
> If TE is used to route the traffic via such slow paths the difference is 
> noticeable (at least, without measurement tools), the network is designed 
> and operated badly, period.  Nobody would want to pay for that kind of 
> service.
> 

What makes you think that the TEed route between the CN and the MN 
(i.e. Chicago -> Miami -> Dallas) will be a slow path? 
Do you think the shortest path is ALWAYS the best/fastest path?

-Kuntal

> -- 
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> 
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Mon, 22 Jul 2002 23:57:22 +0300 (EEST)

> I don't think I understood your point. Are you agreeing with me or

Totally disagreeing.

Assuming CN is in ISP 1's network, MN is vising ISP 2's network and HA is 
in ISP 3's network.

Your argument was, if I got it right, that route optimizations is bad 
because traffic is between ISP 1 and ISP 2 so ISP 3 does not get revenue.

This seems ridiculous.  

> http://www.ietf.org/rfc/rfc3212.txt

Sure, people write about it, but there's fiber in abundance.  The problem 
is who is going to pay for the ISP for using it.  This does not change the 
problem, only makes the problem more complex (like MPLS's TE components).

> (i.e. Chicago -> Miami -> Dallas) will be a slow path? 

The speed of light is a constant.

> Do you think the shortest path is ALWAYS the best/fastest path?

Almost always, yes.  When it's not, it's almost best, which is roughly the 
same thing.  All of this amounts to advantages by route optimization.

(I'm disregarding stuff like extremely severe network congestion here, as 
we're talking about stable scenarios here.)